Bug 1015169 - Confusing behavior of the "Choose an ISO" button
Confusing behavior of the "Choose an ISO" button
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vratislav Podzimek
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 10:42 EDT by Tomas Capek
Modified: 2014-06-17 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-19.31.41-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:27:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Capek 2013-10-03 10:42:44 EDT
Steps to Reproduce:
1. Go to Installation Source spoke
2. Select the 'ISO file' radio button
3. Click "Choose an ISO"
4. In the dialog, click the upper left icon for location selection
5. Enter "/", click "Open"

5*) alternatively, try another path, e.g. "/var/tmp/"

Actual results:

The "Choose an ISO" button now has no label at all.

*) The "Choose an ISO" button now has label "tmp" instead of the full path


Expected results:

Either always display the full path (even just "/") on the button or reset the title back to "Choose an ISO" if no ISO was actually chosen or present at the given path.
Comment 3 Michal Kovarik 2014-02-19 09:50:56 EST
Verified on anaconda-19.31.58-1. It's not possible to change dir outside of selected device.
Comment 4 Ludek Smid 2014-06-13 05:27:43 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.